

import BasicLayout from '@/layouts/basic-layout';
import Setting from "@/setting";

const pre = 'order_';

export default {
	path: `${Setting.routePre}/order/`,
	name: 'order',
	header: 'order',
	meta: {
	    // 授权标识
	    auth: ['store-order']
	},
	redirect: {
		name: `${pre}list`
	},
	component: BasicLayout,
	children: [
		{
			path: 'index',
			name: `${pre}list`,
			meta: {
				auth: ['store-order-index'],
				title: '订单列表'
			},
			component: () => import('@/pages/order/orderList/index')
		},
		{
			path: 'split_list',
			name: `${pre}split_list`,
			meta: {
				auth: ['order_split_order'],
				title: '子订单列表'
			},
			component: () => import('@/pages/order/orderList/splitList.vue')
		},
		{
			path: 'refund',
			name: `${pre}refund`,
			meta: {
				auth: ['store-order-refund'],
				title: '售后退款'
			},
			component: () => import('@/pages/order/refund/index')
		},
		{
			path: `${Setting.routePre}/recharge/index`,
			name: `${pre}recharge`,
			meta: {
				auth: ['store-recharge-index'],
				title: '充值订单'
			},
			component: () => import('@/pages/order/recharge/index')
		},
		{
			path: `${Setting.routePre}/vip/index`,
			name: `${pre}vip`,
			meta: {
				auth: ['store-vip-index'],
				title: '付费会员订单'
			},
			component: () => import('@/pages/order/vip/index')
		},
	]
};
